---
sidebar_position: 6
description: Get channel history and other functions to work with Slack in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Slack]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get channel history
 Gets information about channel events



`Function GetChannelHistory(Val Token, Val Channel) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Bot token |
  | Channel | --channel | String | &#x2714; | Channel ID |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from Slack



```bsl title="1C:Enterprise/OneScript code example"
    Token   = "xoxb-6965308400114-696804637...";
    Channel = "C0A3MS0PZS4";

    Result = OPI_Slack.GetChannelHistory(Token, Channel);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint slack GetChannelHistory \
             --token "***" \
             --channel "C0A2MHCL9EF"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint slack GetChannelHistory ^
             --token "***" ^
             --channel "C0A2MHCL9EF"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "ok": true,
 "messages": [
  {
   "subtype": "channel_join",
   "user": "U06UABH3APP",
   "text": "<@U06UABH3APP> has joined the channel",
   "inviter": "***",
   "type": "message",
   "ts": "1765395540.109469"
  },
  {
   "subtype": "channel_purpose",
   "user": "U06UG1CAYH2",
   "purpose": "TestGoal",
   "text": "set the channel description: TestGoal",
   "type": "message",
   "ts": "1765395535.323129"
  },
  {
   "subtype": "channel_topic",
   "user": "U06UG1CAYH2",
   "topic": "TestTopic",
   "text": "set the channel topic: TestTopic",
   "type": "message",
   "ts": "1765395532.857849"
  },
  {
   "subtype": "channel_join",
   "user": "U06UG1CAYH2",
   "text": "<@U06UG1CAYH2> has joined the channel",
   "type": "message",
   "ts": "1765395529.158819"
  }
 ],
 "has_more": false,
 "is_limited": false,
 "pin_count": 0,
 "channel_actions_ts": null,
 "channel_actions_count": 0
}
```
